# generated by cabal-rpm-0.12.5
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name language-javascript
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.6.0.11
Release:        2%{?dist}
Summary:        Parser for JavaScript

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  alex
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  happy
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-utf8-light-devel
%endif
# End cabal-rpm deps

%description
Parses Javascript into an Abstract Syntax Tree (AST). Initially intended as
frontend to hjsmin.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 0.6.0.11-1
- update to 0.6.0.11

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 0.6.0.10-1
- update to 0.6.0.10

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 0.6.0.9-1
- update to 0.6.0.9

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jun 25 2016 Jens Petersen <petersen@redhat.com> - 0.6.0.7-1
- update to 0.6.0.7

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 27 2015 Jens Petersen <petersen@fedoraproject.org> - 0.5.13-4
- cblrpm refresh

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Ricky Elrod <relrod@redhat.com> - 0.5.13-1
- Latest upstream release.

* Thu Apr 10 2014 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.12-1
- Latest upstream release.
- Remove old patch.

* Mon Jan 20 2014 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.8-5
- Another rebuild.

* Sun Jan 19 2014 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.8-4
- Rebuild for ghc-utf8-light.

* Mon Dec 30 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.8-3
- Rebuild for new hjsmin.

* Thu Nov  7 2013 Jens Petersen <petersen@redhat.com> - 0.5.8-2
- add BangPatterns patch from Debian for secondary arch's (#1027169)

* Tue Sep 17 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.8-1
- Latest upstream release.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.7-2
- Remove a note from the description.

* Mon Jul  8 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.5.7-1
- spec file generated by cabal-rpm-0.8.2
